catalog:
  title: Gazetool

templates:
- cmake-cpp
- base

variables:
  description: >-
    Lars Schillingmann and Yukie Nagai, "Yet Another Gaze Detector: An
    Embodied Calibration Free System for the iCub Robot", 15th IEEE
    RAS Humanoids Conference on Humanoid Robots, 2015
  access: private

  repository: https://projects.cit-ec.uni-bielefeld.de/git/agaifaceanalysis.git.gazetool.git
  scm.credentials: projects.cit-ec
  branches:
  - master
  - headpose
  - noddetection
  - noddetection-openface

  platform-requires:
    ubuntu:
      packages:
      - libopenblas-base

  cmake.options:
  - ENABLE_INSTALL_DLIB_FACE_MODEL=OFF
  - '@{next-value}'

versions:
- name: nogui-ros
  variables:
    commit: 24bfbbf
    cmake.options:
    - '@{next-value}'
    - ENABLE_RSB_SUPPORT=OFF
    - ENABLE_ROS_SUPPORT=ON
    - CMAKE_PREFIX_PATH="/opt/ros/${ros|}"

- name: rsb-18-07-12
  variables:
    commit: bebb0ad
    cmake.options:
    - '@{next-value}'
    - ENABLE_RSB_SUPPORT=ON
    - ENABLE_ROS_SUPPORT=OFF

- name: nogui-rsb
  variables:
    commit: 24bfbbf
    cmake.options:
    - '@{next-value}'
    - ENABLE_RSB_SUPPORT=ON
    - ENABLE_ROS_SUPPORT=OFF

- name: headpose
  variables:
    branch: headpose
    cmake.options:
    - '@{next-value}'
    - ENABLE_RSB_SUPPORT=ON

- name: rosrsb-headpose
  variables:
    branch: headpose
    cmake.options:
    - '@{next-value}'
    - ENABLE_RSB_SUPPORT=ON
    - ENABLE_ROS_SUPPORT=ON
    - ENABLE_IPAACA_SUPPORT=OFF

- name: noddetection
  variables:
    branch: noddetection
    cmake.options:
    - '@{next-value}'
    - ENABLE_IPAACA_SUPPORT=ON

- name: noddetection-openface
  variables:
    branch: noddetection-openface
    cmake.options:
    - '@{next-value}'
    - ENABLE_IPAACA_SUPPORT=ON
